# API Access Tokens

### When you need an Access Token

* When you are the owner of a Microreact project, your API Access Token is needed for interaction with your project via API.
* An access token is required for [creating projects via the API](/api/creating-projects.md). The user whose API Access Token is used will be the owner of the new Microreact project.
* [Data-flo](https://www.data-flo.io) software connects to Microreact projects via API access, and requires the API Access Token of the project's owner.
* To access the API directly, you need to include the API access token associated with the Microreact account of the owner of the Microreact project as a request header.

### Obtain your API Access Token

* Go to <https://microreact.org/my-account>
* Choose [Account Settings](https://microreact.org/my-account/settings) from the navigation menu
* Copy your Access Token displayed under API Access section

![](/files/RKTEnH7VkShQ93F8R9Mo)

![](/files/-MZXKpwEabdZZbVrSR-M)

### Using Access Tokens

The Access Token should be sent as a request header named Access-Token, for example:

{% tabs %}
{% tab title="cURL + Bash" %}

```bash
curl \
  --header "Access-Token: eyJhbGciOiJIUzUxMiJ9..." \
  https://microreact.org/api/projects/create
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.microreact.org/api/access-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
